#!/bin/bash
PREFIX=${PWD}

echo "Used machine is $(uname -a)"
BUILD_DIR="${PREFIX}/build_cmake_$(uname -n)"

if [ -d ${BUILD_DIR} ]
then
    	echo "Remove existing directory $BUILD_DIR"
        rm -fr ${BUILD_DIR}
fi
mkdir -p ${BUILD_DIR}
echo "BUILD_DIR = '${BUILD_DIR}'"
CONTAINER_IMAGE="./fedora38.sif"

singularity run --bind $PREFIX:/source --bind ${BUILD_DIR}:/build ${CONTAINER_IMAGE} /source/install_singularity.sh
